package com.koobietech.eas.common.utils;

import com.koobietech.eas.dao.adminLoginPojo.UserDetail;
import org.springframework.security.core.context.SecurityContextHolder;

import java.util.Objects;

/**
 * @author lc
 */
public class SecurityUtils {

    public static String getLoginUserName() {
        UserDetail principal = getPrincipal();
        if (Objects.nonNull(principal)) {
            return principal.getUsername();
        }
        return "anonymousUser";
    }

    public static Long getLoginUid() {
        UserDetail principal = getPrincipal();
        if (Objects.nonNull(principal)) {
            return principal.getId();
        }
        return 0L;
    }

    public static boolean isLogged() {
        UserDetail principal = getPrincipal();
        return Objects.nonNull(principal);
    }

    private static UserDetail getPrincipal() {
        Object principal = SecurityContextHolder.getContext().getAuthentication().getPrincipal();
        if (Objects.nonNull(principal)) {
            if (principal instanceof UserDetail) {
                return (UserDetail) principal;
            } else {
                return null;
            }
        }
        return null;
    }
}
